package w83b.w83bOperacionesInternas.w83bActas;

import w83b.w83bBeans.W83bActasBean;
import w83b.w83bBeans.W83bColegiosBean;
import w83b.w83bBeans.W83bNuevaIncidenciasBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bEdicionIncidenciasActasOIAction extends Q70OperacionInterna{
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{
		//ESTAMOS EN LA EDICIÓN DE ACTAS PERO PARA GUARDAR INCIDENCIAS		
		W83bActasBean acta = (W83bActasBean)contexto.get("w83bNuevaActaBean");
		
		acta.setColegios((W83bColegiosBean)contexto.get("w83bColegiosBean"));//porque se pierde!!!		
		
		contexto.set("w83bNuevaActaBean",acta);
		
		W83bNuevaIncidenciasBean incidencia = (W83bNuevaIncidenciasBean)contexto.get("w83bNuevaIncidenciasBean");
		
		incidencia.setActaNueva(acta);
		
		W83bActasBean actaOriginal = (W83bActasBean)contexto.get("w83bDetalleActaTempBean");
		
		incidencia.setActaOriginal(actaOriginal);
		
		contexto.set("w83bNuevaIncidenciasBean",incidencia);	

		
		
		super.preProcessMappingEntrada(contexto, configBean, errors);
			
	}
	
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {

		String resultado = (String)contexto.get("w83bResultado");
		
		int fechaRegistro = resultado.split("___").length;
		
		resultado = resultado.split("___")[0];
		
		contexto.set("w83bResultado",resultado);

		if(1==fechaRegistro){
			contexto.set(W83bClsConstantes.CONSTANTE_MENSAJES_APLICACION_NO_ERROR, "comun.mensaje.bdActualizadaOkLibroRegistroError");
			
			contexto.set("guardado","trueError");
		}else{
			contexto.set(W83bClsConstantes.CONSTANTE_MENSAJES_APLICACION_NO_ERROR, "comun.mensaje.bdActualizadaOk");
			
			contexto.set("guardado","true");
		}
			contexto.set("modoPantalla",W83bClsConstantes.MODO_EDICION);
			contexto.set("codSelecEdicion",resultado);
			

			contexto.set("codSelec","0");
			
		super.postProcessMappingSalida(contexto, errors);
	}
}